=== debian/changelog ===
workflow (0.11.7-1) unstable; urgency=medium

  * New upstream version 0.11.7
  * d/patches: Refresh patches and remove a patch

 -- Lance Lin <lq27267@gmail.com>  Tue, 07 Jan 2025 21:34:34 +0700
