## workflow 0.11.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(
 	workflow
-	VERSION 0.11.7
+	VERSION 0.11.8
 	LANGUAGES C CXX
 )
