=== tutorial/CMakeLists.txt ===
--- 
+++ 
@@ -46,6 +46,7 @@
 	tutorial-11-graph_task
 	tutorial-15-name_service
 	tutorial-17-dns_cli
+	tutorial-19-dns_server
 )
 
 if (APPLE)
