=== debian/changelog ===
workflow (0.11.8-1) unstable; urgency=medium

  * New upstream version 0.11.8
  * Standards-Version: 4.7.2 (routine-update)

 -- Lance Lin <lq27267@gmail.com>  Wed, 05 Mar 2025 19:51:43 +0700
