## workflow 0.11.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 project(
 	workflow
-	VERSION 0.11.8
+	VERSION 0.11.10
 	LANGUAGES C CXX
 )
