=== src/CMakeLists.txt ===
--- 
+++ 
@@ -10,12 +10,29 @@
 include_directories(${OPENSSL_INCLUDE_DIR} ${INC_DIR}/workflow)
 
 if (KAFKA STREQUAL "y")
+	find_package(ZLIB REQUIRED)
+	include_directories(${ZLIB_INCLUDE_DIRS})
+
 	find_path(SNAPPY_INCLUDE_PATH NAMES snappy.h)
 	find_library(SNAPPY_LIB NAMES snappy)
 	if ((NOT SNAPPY_INCLUDE_PATH) OR (NOT SNAPPY_LIB))
 		message(FATAL_ERROR "Fail to find snappy with KAFKA=y")
 	endif ()
 	include_directories(${SNAPPY_INCLUDE_PATH})
+
+	find_path(ZSTD_INCLUDE_PATH NAMES zstd.h)
+	find_library(ZSTD_LIB NAMES zstd)
+	if ((NOT ZSTD_INCLUDE_PATH) OR (NOT ZSTD_LIB))
+		message(FATAL_ERROR "Fail to find zstd with KAFKA=y")
+	endif ()
+	include_directories(${ZSTD_INCLUDE_PATH})
+
+	find_path(LZ4_INCLUDE_PATH NAMES lz4.h)
+	find_library(LZ4_LIB NAMES lz4)
+	if ((NOT LZ4_INCLUDE_PATH) OR (NOT LZ4_LIB))
+		message(FATAL_ERROR "Fail to find lz4 with KAFKA=y")
+	endif ()
+	include_directories(${LZ4_INCLUDE_PATH})
 endif ()
 
 add_subdirectory(kernel)
@@ -64,11 +81,11 @@
 )
 
 if(ANDROID)
-	target_link_libraries(${SHARED_LIB_NAME} ssl crypto c)
-	target_link_libraries(${STATIC_LIB_NAME} ssl crypto c)
+	target_link_libraries(${SHARED_LIB_NAME} PUBLIC ssl crypto c)
+	target_link_libraries(${STATIC_LIB_NAME} PUBLIC ssl crypto c)
 else()
-	target_link_libraries(${SHARED_LIB_NAME} OpenSSL::SSL OpenSSL::Crypto pthread)
-	target_link_libraries(${STATIC_LIB_NAME} OpenSSL::SSL OpenSSL::Crypto pthread)
+	target_link_libraries(${SHARED_LIB_NAME} PUBLIC OpenSSL::SSL OpenSSL::Crypto pthread)
+	target_link_libraries(${STATIC_LIB_NAME} PUBLIC OpenSSL::SSL OpenSSL::Crypto pthread)
 endif ()
 
 set_target_properties(${STATIC_LIB_NAME} PROPERTIES OUTPUT_NAME ${PROJECT_NAME})
@@ -88,6 +105,8 @@
 		$<TARGET_OBJECTS:protocol_kafka>
 		$<TARGET_OBJECTS:factory_kafka>
 	)
+	target_link_libraries(${KAFKA_STATIC_LIB_NAME} PUBLIC
+				${STATIC_LIB_NAME} ZLIB::ZLIB ${LZ4_LIB} ${ZSTD_LIB} ${SNAPPY_LIB})
 	set_target_properties(${KAFKA_STATIC_LIB_NAME} PROPERTIES OUTPUT_NAME "wfkafka")
 
 	set(KAFKA_SHARED_LIB_NAME "wfkafka-shared")
@@ -98,12 +117,8 @@
 		$<TARGET_OBJECTS:protocol_kafka>
 		$<TARGET_OBJECTS:factory_kafka>
 	)
-	if (APPLE)
-		target_link_libraries(${KAFKA_SHARED_LIB_NAME}
-							  ${SHARED_LIB_NAME} z lz4 zstd ${SNAPPY_LIB})
-	else ()
-		target_link_libraries(${KAFKA_SHARED_LIB_NAME} ${SHARED_LIB_NAME})
-	endif ()
+	target_link_libraries(${KAFKA_SHARED_LIB_NAME} PUBLIC
+				${SHARED_LIB_NAME} ZLIB::ZLIB ${LZ4_LIB} ${ZSTD_LIB} ${SNAPPY_LIB})
 	set_target_properties(${KAFKA_SHARED_LIB_NAME} PROPERTIES OUTPUT_NAME "wfkafka" VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})
 endif ()
