=== tutorial/CMakeLists.txt ===
--- 
+++ 
@@ -14,13 +14,15 @@
 	find_library(LIBRT rt)
 	find_package(OpenSSL REQUIRED)
 endif()
+
 find_package(workflow REQUIRED CONFIG HINTS ..)
 include_directories(${OPENSSL_INCLUDE_DIR} ${WORKFLOW_INCLUDE_DIR})
 link_directories(${WORKFLOW_LIB_DIR})
 
+find_library(WORKFLOW_LIB NAMES libworkflow.a workflow HINTS ${WORKFLOW_LIB_DIR})
+
 if (KAFKA STREQUAL "y")
-	find_path(SNAPPY_INCLUDE_PATH NAMES snappy.h)
-	include_directories(${SNAPPY_INCLUDE_PATH})
+	find_library(WFKAFKA_LIB NAMES libwfkafka.a wfkafka HINTS ${WORKFLOW_LIB_DIR})
 endif ()
 
 if (WIN32)
@@ -50,18 +52,18 @@
 )
 
 if (APPLE)
-	set(WORKFLOW_LIB workflow pthread OpenSSL::SSL OpenSSL::Crypto)
+	set(LIB ${WORKFLOW_LIB} pthread OpenSSL::SSL OpenSSL::Crypto)
 elseif (ANDROID)
-	set(WORKFLOW_LIB workflow ssl crypto c)
+	set(LIB ${WORKFLOW_LIB} ssl crypto c)
 else ()
-	set(WORKFLOW_LIB workflow pthread OpenSSL::SSL OpenSSL::Crypto ${LIBRT})
+	set(LIB ${WORKFLOW_LIB} pthread OpenSSL::SSL OpenSSL::Crypto ${LIBRT})
 endif ()
 
 foreach(src ${TUTORIAL_LIST})
 	string(REPLACE "-" ";" arr ${src})
 	list(GET arr -1 bin_name)
 	add_executable(${bin_name} ${src}.cc)
-	target_link_libraries(${bin_name} ${WORKFLOW_LIB})
+	target_link_libraries(${bin_name} ${LIB})
 endforeach()
 
 if (NOT REDIS STREQUAL "n")
@@ -74,7 +76,7 @@
 	string(REPLACE "-" ";" arr ${src})
 	list(GET arr -1 bin_name)
 	add_executable(${bin_name} ${src}.cc)
-	target_link_libraries(${bin_name} ${WORKFLOW_LIB})
+	target_link_libraries(${bin_name} ${LIB})
 endforeach()
 endif()
 
@@ -86,7 +88,7 @@
 	string(REPLACE "-" ";" arr ${src})
 	list(GET arr -1 bin_name)
 	add_executable(${bin_name} ${src}.cc)
-	target_link_libraries(${bin_name} ${WORKFLOW_LIB})
+	target_link_libraries(${bin_name} ${LIB})
 endforeach()
 endif()
 
@@ -98,13 +100,17 @@
 	string(REPLACE "-" ";" arr ${src})
 	list(GET arr -1 bin_name)
 	add_executable(${bin_name} ${src}.cc)
-	target_link_libraries(${bin_name} ${WORKFLOW_LIB})
+	target_link_libraries(${bin_name} ${LIB})
 endforeach()
 endif()
 
 if (KAFKA STREQUAL "y")
 	add_executable("kafka_cli" "tutorial-13-kafka_cli.cc")
-	target_link_libraries("kafka_cli" wfkafka ${WORKFLOW_LIB} z snappy lz4 zstd)
+	find_package(ZLIB REQUIRED)
+	find_library(SNAPPY_LIB NAMES snappy)
+	find_library(LZ4_LIB NAMES lz4)
+	find_library(ZSTD_LIB NAMES zstd)
+	target_link_libraries("kafka_cli" ${WFKAFKA_LIB} ${LIB} ZLIB::ZLIB ${SNAPPY_LIB} ${LZ4_LIB} ${ZSTD_LIB})
 endif ()
 
 set(DIR10 tutorial-10-user_defined_protocol)
@@ -112,10 +118,10 @@
 add_executable(client ${DIR10}/client.cc ${DIR10}/message.cc)
 add_executable(server-uds ${DIR10}/server-uds.cc ${DIR10}/message.cc)
 add_executable(client-uds ${DIR10}/client-uds.cc ${DIR10}/message.cc)
-target_link_libraries(server ${WORKFLOW_LIB})
-target_link_libraries(client ${WORKFLOW_LIB})
-target_link_libraries(server-uds ${WORKFLOW_LIB})
-target_link_libraries(client-uds ${WORKFLOW_LIB})
+target_link_libraries(server ${LIB})
+target_link_libraries(client ${LIB})
+target_link_libraries(server-uds ${LIB})
+target_link_libraries(client-uds ${LIB})
 
 set_target_properties(server PROPERTIES
 	RUNTIME_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/${DIR10})
@@ -129,7 +135,7 @@
 set(DIR16 tutorial-16-graceful_restart)
 add_executable(bootstrap ${DIR16}/bootstrap.c)
 add_executable(bootstrap_server ${DIR16}/server.cc)
-target_link_libraries(bootstrap_server ${WORKFLOW_LIB})
+target_link_libraries(bootstrap_server ${LIB})
 
 set_target_properties(bootstrap PROPERTIES
 	RUNTIME_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/${DIR16})
