=== src/client/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 set(SRC
 	WFDnsClient.cc
+	WFHttpChunkedClient.cc
 )
 
 if (NOT REDIS STREQUAL "n")
