=== debian/changelog ===
workflow (0.11.10-2) unstable; urgency=medium

  * d/patches: Fix FTBFS with gtest (Closes: #1114442)

 -- Lance Lin <lq27267@gmail.com>  Mon, 15 Sep 2025 19:57:05 +0700

workflow (0.11.10-1) unstable; urgency=medium

  * New upstream version 0.11.10
  * d/copyright: Update copyright year to 2025

 -- Lance Lin <lq27267@gmail.com>  Tue, 12 Aug 2025 20:45:54 +0700
