=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                cmake,
                libgtest-dev <!nocheck>,
                libssl-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/sogou/workflow
 Vcs-Git: https://salsa.debian.org/debian/workflow.git
 Vcs-Browser: https://salsa.debian.org/debian/workflow
