=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.6)
+cmake_minimum_required(VERSION 3.10)
 
 if(ANDROID)
 	include_directories(${OPENSSL_INCLUDE_DIR})
