=== tutorial/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.6)
+cmake_minimum_required(VERSION 3.10)
 
 set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "build type")
 
@@ -107,9 +107,26 @@
 if (KAFKA STREQUAL "y")
 	add_executable("kafka_cli" "tutorial-13-kafka_cli.cc")
 	find_package(ZLIB REQUIRED)
+	find_path(SNAPPY_INCLUDE_PATH NAMES snappy.h)
 	find_library(SNAPPY_LIB NAMES snappy)
+	if ((NOT SNAPPY_INCLUDE_PATH) OR (NOT SNAPPY_LIB))
+		message(FATAL_ERROR "Fail to find snappy with KAFKA=y")
+	endif ()
+	include_directories(${SNAPPY_INCLUDE_PATH})
+
+	find_path(ZSTD_INCLUDE_PATH NAMES zstd.h)
+	find_library(ZSTD_LIB NAMES zstd)
+	if ((NOT ZSTD_INCLUDE_PATH) OR (NOT ZSTD_LIB))
+		message(FATAL_ERROR "Fail to find zstd with KAFKA=y")
+	endif ()
+	include_directories(${ZSTD_INCLUDE_PATH})
+
+	find_path(LZ4_INCLUDE_PATH NAMES lz4.h)
 	find_library(LZ4_LIB NAMES lz4)
-	find_library(ZSTD_LIB NAMES zstd)
+	if ((NOT LZ4_INCLUDE_PATH) OR (NOT LZ4_LIB))
+		message(FATAL_ERROR "Fail to find lz4 with KAFKA=y")
+	endif ()
+	include_directories(${LZ4_INCLUDE_PATH})
 	target_link_libraries("kafka_cli" ${WFKAFKA_LIB} ${LIB} ZLIB::ZLIB ${SNAPPY_LIB} ${LZ4_LIB} ${ZSTD_LIB})
 endif ()
