=== debian/changelog ===
workflow (0.11.11-1) unstable; urgency=medium

  * New upstream version 0.11.11
  * d/patches: Refresh patches

 -- Lance Lin <lq27267@gmail.com>  Mon, 22 Sep 2025 21:32:27 +0700
