=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

export INSTALL_PREFIX = /usr/

%:
	dh $@ --buildsystem=cmake

override_dh_auto_test:
ifneq (mips64el,$(DEB_BUILD_ARCH))
	dh_auto_test --builddir=test -- VERBOSE=1
endif
