=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d+\.\d+\.\d+)\S*\.tar\.gz/workflow-$1\.tar\.gz/ \
  https://github.com/sogou/workflow/tags .*/v?(\d+\.\d+\.\d+)\.tar\.gz
