=== debian/changelog ===
workflow (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
    - Includes SONAME bump (libworkflow0t64 -> libworkflow1)
  * Standards-Version: 4.7.3 (routine-update)
  * d/patches: Refresh patches
  * d/control: Remove redundant fields
  * d/watch: Update to version 5
  * d/copyright: Replace BSD-2-Clause and zlib with ISC, update
      copyrights for crc32.(h/c), and update debian/* copyright
      year to 2026

 -- Lance Lin <lq27267@gmail.com>  Thu, 12 Feb 2026 18:34:08 +0700
