=== debian/control ===
Source: workflow
Section: libs
Maintainer: Lance Lin <lq27267@gmail.com>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               cmake,
               libgtest-dev <!nocheck>,
               libssl-dev
Standards-Version: 4.7.3
Homepage: https://github.com/sogou/workflow
Vcs-Git: https://salsa.debian.org/debian/workflow.git
Vcs-Browser: https://salsa.debian.org/debian/workflow

Package: libworkflow1
Provides: ${t64:Provides}
Architecture: any
Multi-Arch: same
Breaks: libworkflow0 (<< ${source:Version}), libworkflow0t64
Replaces: libworkflow0, libworkflow0t64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Parallel computing and asynchronous web server engine
 Workflow can be used as a scalable web server to handle a variety
 of server workflows. It can be used to orchestrate complex
 relationships between computing and networking.  Workflow currently
 supports protocols for HTTP, Redis, MySQL, and Kafka.
 .
 This package contains the runtime library.

Package: libworkflow-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}, libworkflow1 (= ${binary:Version})
Description: Parallel computing and asynchronous web server engine development files
 Workflow can be used as a scalable web server to handle a variety
 of server workflows. It can be used to orchestrate complex
 relationships between computing and networking.  Workflow currently
 supports protocols for HTTP, Redis, MySQL, and Kafka.
 .
 This package contains the development header files.
